%Function converting two polytopes into one (removing the line between them)
function [s1] = removeLine(poly1,poly2)

if size(poly2)==[0 0]  
    s1=poly1;
else

P1=fconvh(poly1); %convert to gbt format 
P2=fconvh(poly2);

P1v=vertices(P1); %picking nodes
P2v=vertices(P2);

P3= convh([P1v;P2v]); % find convex hull, make whole circle 

s1 = faces(P3); % circle our format. 

end