function [A,b] = forbiddenSectors()
%Function making the forbidden sectors for the 8 propellers (constraints), and stacking them:
%Note: fungerer bare med forbidWidth >= 180

forbidWidth=190;
center=0;
radius=2.4;
numLinear=5;
%function [poly1,poly2] = approxSector(center, radius, forbidWidth,centerAngle, numLinear)

% [poly1,poly2] = approxSector(center, radius, forbidWidth, 45, numLinear);
% A45=vertcat(poly1(:,[1 2]),poly2(:,[1 2]));
% b45=[poly1(:,3); poly2(:,3)];

[poly1,poly2] = approxSector(center, radius, forbidWidth, 45, numLinear);
sFinal=removeLine(poly1,poly2);     %converting the two parts into one whole without line
[A45,b45]=poly2Ab(sFinal);          %Convert it to the form Ax<=b
figure
mp_PlotPoly(sFinal);

[poly1,poly2] = approxSector(center, radius, forbidWidth, 225, numLinear);
sFinal=removeLine(poly1,poly2);
[A225,b225]=poly2Ab(sFinal);
mp_PlotPoly(sFinal);

[poly1,poly2] = approxSector(center, radius, forbidWidth, 315, numLinear);
sFinal=removeLine(poly1,poly2);
[A315,b315]=poly2Ab(sFinal);
figure
mp_PlotPoly(sFinal);

[poly1,poly2] = approxSector(center, radius, forbidWidth, 135, numLinear);
sFinal=removeLine(poly1,poly2);
[A135,b135]=poly2Ab(sFinal);    %%%m fikse dette
mp_PlotPoly(sFinal);

% %the actuators are numbered from down at the right, and against the clock
% A=blkdiag(A45,A225,A315,A135,A225,A45,A135,A315);
% b=vertcat(b45,b225,b315,b135,b225,b45,b135,b315);

%numbered from up to the right and agaist the clock. (J.S)
A=blkdiag(A225,A45,A135,A315,A45,A225,A315,A135);
b=vertcat(b225,b45,b135,b315,b45,b225,b315,b135);