function [A,b] = constrAlphaT(uk, actuatornumber, tau)

switch lower(actuatornumber)
    case '0'
        u0=uk;
    case {'1', '6'}
        u0=[0.1 0.1];
    case {'2', '5'}
        u0=[-0.1 -0.1];
    case {'3', '8'}
        u0=[-0.1 0.1];
    case {'4', '7'}
        u0=[0.1 -0.1];
end

poly4=[];
poly3=[];
%u0=[1 1]; %[-1 -1]; [1 -1]; [-1 1]; [1 0]; [0 -1];

 % Lovlig endring i vinkel
if (abs(u0(1))<0.3 && abs(u0(2))<0.3 && isequal(tau,[0 0 0]'))
    dL=0.1;     % Lovlig endring i T
    dalpha=0.1;
else
    dL=0.2;
    dalpha=0.2;
end

angle=atan2(u0(2),u0(1));
L=sqrt(u0(1)^2+u0(2)^2);

l3=L-dL;
l4=L+dL;

if u0(1)==0
    if u0(2)>0
        poly3=[0 -1 -l3];
        poly4=[0 1 l4];
    elseif u0(2)<0
        poly3=[0 1 -l3];
        poly4=[0 -1 l4];
    end
elseif u0(2)==0
    if u0(1)>0
        poly3=[-1 0 -l3];
        poly4=[1 0 l4];
    elseif u0(1)<0
        poly3=[1 0 -l3];
        poly4=[-1 0 l4];
    end
else
    if l3>0
        p3=[l3*cos(angle) l3*sin(angle)];
        alpha3=pi/2-angle;
        c=p3(2)/tan(alpha3);
        b=c+p3(1);
        a=b*tan(alpha3);
        poly3=[-a/b -1 -a];       
        if u0(2)<0
            poly3=-poly3;
        end
    end
    p4=[l4*cos(angle) l4*sin(angle)];
    alpha4=pi/2-angle;
    c=p4(2)/tan(alpha4);
    b=c+p4(1);
    a=b*tan(alpha4);
    poly4=[a/b 1 a];
    if u0(2)<0
        poly4=-poly4;
    end

end

%uk

anglem = angle-dalpha; % Nedre grense p  neste vinkel
anglep = angle+dalpha; % vre grense p neste vinkel
point1 = [cos(anglem) sin(anglem)]; % Regn ut "nedre" vektor
point2 = [cos(anglep) sin(anglep)]; % Regn ut "vre" vektor


%plot([0 u0(1)],[0 u0(2)]); % Plot forrige pdrag
%hold on;
%% Box for  begrense plottet.
box=[1 0 10
-1 0 10
0 1 10
0 -1 10];


%lage begrensninger
if l3>0
    poly = [ point1(2) -point1(1) 0
    -point2(2) point2(1) 0
    poly3
    poly4];    
else
    poly = [ point1(2) -point1(1) 0
    -point2(2) point2(1) 0
    0 0 0
    poly4];  %putter inn begrensinger poly3 lik 0 for aa lettere finne fram til forrige begr
end

%mp_PlotPoly(poly,[-5 5 -5 5]);

A=poly(:,[1 2]);
b=poly(:,3);



       
        
