function c=ellcent(E);
%  ELLCENT: extract the centre of an ellipsoid
%  Inputs:
%      E[[1 0;1 0]] = ellipsoid
%  Outputs:
%      c[0]  = centre of ellipsoid
% 
% Copyright (c) SysBrain, S M Veres 19-05-2001 
%  Set the default values:
 
if nargin<1, E=[1 0;1 0];end;c=0;
 
%  Extract the centre vector:
 
d=size(E,2)-1;c=E(2:d+1,d+1);
return;
