function G=intersct(G1,G2,typ);
%  INTERSCT: compute the intersection of two polytopes
%  Inputs:
%     G1[[1 eps;1 1]] = first polytope
%     G2[[1 eps;1 1]] = second polytope
%  Outputs:
%     G[[1 eps;1 1]] =  polytope
% 
% Copyright (c) SysBrain, S M Veres 19-05-2001 
 
%  Diagnostics:
 
if nargin<2, disp(' INTERSECT needs two inputs!');break;end;
if nargin<3, typ='numer';end;
 
%  Update the second polytope with the half-spaces of the
%  first polytope:
 
F1=faces(G1); G=fconvh(F1,G2,typ);
return
