function [vmin,vmax]=ranges(P);
%  RANGE: compute the lower and upper corners of a tight axis aligned box to polytope
%  Inputs:
%    P[[0 eps;1 1;-1 1;-1 -1; 1 -1]] = polytope
%  Ouputs:
%    vmin[-1] = lower corner of axis aligned box
%    vmax[ 1] = upper corner of acis aligned box
% 
% Copyright (c) SysBrain, S M Veres 19-05-2001 
 
%  Taking the minimum and maximum vectors for all
%  vertices give the ranges in each coordinate:
 
  V=vertices(P);
  vmin=min(V)';
  vmax=max(V)';
  return;
 
 
 
 
