


---------------------------------------------
/* This sample sets the output equal to the input
                                  y0[0] = u0[0];
                         For complex signals use: y0[0].re = u0[0].re;
                                                  y0[0].im = u0[0].im;
                                                  y1[0].re = u1[0].re;
                                                      y1[0].im = u1[0].im;*/
                       
                       
                
                    #define M  8 //:        TOTAL NUMBER OF CONSTRAINTS.
                    #define ME 0 //:       NUMBER OF EQUALITY CONSTRAINTS.
                    #define MMAX M+1//:     ROW DIMENSION OF A. MMAX MUST BE AT LEAST ONE AND GREATER  THAN M.
                    #define N 4 //:        NUMBER OF VARIABLES.
                    #define NMAX N+1 //:     ROW DIMENSION OF C. NMAX MUST BE GREATER OR EQUAL TO N.
                    #define MNN M+N+N// :      MUST BE EQUAL TO M + N + N.
                    #define LWAR 2*(3*NMAX*NMAX/2 + 10*NMAX + 2*MMAX)+1000
                    #define LIWAR N
                    #define NPAR 2
                    #define ROWS 32
                    #define COLUMNS 32
                
                   double atemp[MMAX*NMAX], htemp[NMAX*NMAX];
                   double xxx[N], lambda[M+2*N], war[LWAR];
                   double uhelp[1];
                   double A[MMAX][NMAX], b[MMAX], B[MMAX], S[M][NPAR];
                   double Any[NMAX][MMAX], Hny[NMAX][NMAX], H[NMAX][NMAX];
                   double c[NMAX], xl[NMAX], xu[NMAX];
                   int jj, ii;
                   int m = M;		// Number of constraints
                   int me = ME;			    // Number of equality constraints
                   int mmax = MMAX;			// Max number of constraints
                   int n = N;			// Nuber of variabels
                   int nmax = NMAX;		// Max nuber of varabels
                   int mnn = MNN;
                   int iout = 1;
                   int iprint = 1;			// No error messages
                   int lwar = LWAR;		// Dimension of real working array
                   int liwar = LIWAR;		// Dimension of integer working array
                   int ifail, iwar[LIWAR];
                   double eps1 = 1.0e-15;	// Machine precision
                
                    int i;
                    int j;
                    
                   // FILE *ftp;
                           
                    A[0][0]=1.0; 
                    A[0][1]=0.0;
                    A[0][2]=0.0;
                    A[0][3]=0.0;
       
                    A[1][0]=-1.0; 
                    A[1][1]=0.0;
                    A[1][2]=0.0;
                    A[1][3]=0.0;
       
                    A[2][0]=0.0; 
                    A[2][1]=1.0;
                    A[2][2]=0.0;
                    A[2][3]=0.0;
       
                    A[3][0]=0.0; 
                    A[3][1]=-1.0;
                    A[3][2]=0.0;
                    A[3][3]=0.0;
       
                    A[4][0]=0.0; 
                    A[4][1]=0.0;
                    A[4][2]=1.0;
                    A[4][3]=0.0;
       
                    A[5][0]=0.0; 
                    A[5][1]=0.0;
                    A[5][2]=-1.0;
                    A[5][3]=0.0;
       
                    A[6][0]=0.0; 
                    A[6][1]=0.0;
                    A[6][2]=0.0;
                    A[6][3]=1.0;
       
                    A[7][0]=0.0; 
                    A[7][1]=0.0;
                    A[7][2]=0.0;
                    A[7][3]=-1.0;
                            
                   H[0][0]=*h0; 
                    H[0][1]=*h1;
                    H[0][2]=*h2;
                    H[0][3]=*h3;
       
                    H[1][0]=*h4; 
                    H[1][1]=*h5;
                    H[1][2]=*h6;
                    H[1][3]=*h7;
       
                    H[2][0]=*h8; 
                    H[2][1]=*h9;
                    H[2][2]=*h10;
                    H[2][3]=*h11;
       
                    H[3][0]=*h12; 
                    H[3][1]=*h13;
                    H[3][2]=*h14;
                    H[3][3]=*h15;
       
                   
                    for(ii=0;ii<8;ii++){
                        for(jj=0;jj<4;jj++){
                            A[ii][jj]=-A[ii][jj];  //to make it on the form that ql1000_ takes
                        }
                    }
       
                    b[0]=1.0; 
                    b[1]=1.0;
                    b[2]=1.0; 
                    b[3]=1.0;
                    b[4]=1.0; 
                    b[5]=1.0;
                    b[6]=1.0; 
                    b[7]=1.0;
       
                    xl[0]=-10.0; 
                    xl[1]=-10.0; 
                    xu[0]=10.0;
                    xu[1]-=10.0;
                    
                    B[0]=b[0]+xD[0];
                    B[1]=b[1]-xD[0];
                    B[2]=b[2]+xD[1];
                    B[3]=b[3]-xD[1];
                    B[4]=b[4];
                    B[5]=b[5];
                    B[6]=b[6];
                    B[7]=b[7];
                    
       
 
               for(ii=0;ii<4;ii++){
                    c[ii]=f[ii];
                }
              c2f(&H[0][0],&Hny[0][0],nmax,nmax);
              c2f(&A[0][0],&Any[0][0],mmax,nmax);
              
              //uhelp[0]=u0[0];
              
              iwar[0] = 0;
              jj=ql0001_(&m,&me,&mmax,&n,&nmax,&mnn, &Hny[0][0], &c[0], &A[0][0], &B[0], &xl[0], &xu[0],&xxx[0], &lambda[0], &iout, &ifail, &iprint, &war[0], &lwar, &iwar[0], &liwar, &eps1);
              
              
              //y0=xxx;      
              for (jj=0;jj<4;jj++){
                  y0[jj]=xxx[jj];
              }