echo  % M-file
%  This demo generates a random set of points for dimesions 2-4
%  and computes a convex hull polytope, then recomputes this
%  polytope from its facets.
%  If this m-file does not run correctly please contact
%  by email: gbt@sysbrain.com
 
%  Activating interface for setting DELTA and KAPPA :
 
%  Repeating random point generations, convex hull
%  computations, facet extraction and polytope
%  computations from facet inequalities for dimensions
%  2,3 and 4. The polytopes `P' and `P1' should be
%  nearly the same in each figure.
 
for i=1:3,
   figure(i);
   V=rand(10,i+1);   % random points
   P=convh(V);       % convex hull
   F=faces(P);       % facet inequalities
   P1=dconvh(F);     % polytope from facets 
   figure(i);
   a=view2d(P,(1:max(2,i+1)));      % display P
   view2d(P1,(1:max(2,i+1)),'c',a); % display P1 % no.figs=3
end;
echo
