%%%%%%%%%%%%
%Sirkel som skal flyttes med u0, radius 0.5
[s1,s2] = approxSector([0 0]', 0.5, 0, 0, 5); %two half circles

sFinal=removeLine(s1,s2);   %making the two half circles into one whole
[s_A,s_b]=poly2Ab(sFinal);  %Make it to the form Ax<=b

%All actuators
SA=kron(eye(na),s_A);
Sb=kron(ones(na,1),s_b);

[a1,a2]=size(SA); 

if N==1
    temp=[1];
elseif N==2
    temp=[1 0; -1 1];
else
    temp=zeros(1,N);
    vec=zeros(1,N);
    vec([1 2])=[-1 1];
    temp(1)=1;
    temp=[temp;vec];
    for i=1:N-2
        vec=circshift(vec,[0 1]);
        temp=[temp; vec];
    end
end

Auneq1=kron(temp,SA);   %Auneq1: constraints, moving circle

buneq1=[];
for i=1:N
    buneq1=vertcat(buneq1,Sb);
end

%%%%%%%%%%