function nV=vreduce(V);
%  VREDUCE: eliminate multiple points from array of points
%  Inputs:
%    V   = array of points
%  Outputs:
%    nV  = reduced array of points
% 
% Copyright (c) SysBrain, S M Veres 19-05-2001 
 
%  The global precision bounds are set:
 
global DELTA;global KAPPA;global ERRFACTOR;
 
%  Activate user interface SETDELTA if not defined:
 
if (isempty(DELTA) | isempty(KAPPA)), H=[];setdelta;end;
 
%  Reduce the number of points by grouping the
%  DELTA-near ones into one point:
 
[n,nc]=size(V);nV=[ ];
while ~isempty(V),
   [v,V]=firstequ(V);nV=[nV;v];
end;
return;
